Summary
Create Trigger
Description
Create a new Trigger.
Route
POST /operations-manager/triggers
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| trigger |
object |
yes |
The details of the Trigger document to be created. |
Copied to Clipboard
{
"title": "trigger",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-create",
"oneOf": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"routeName": "uKO6nTIFcOA",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "48767ccbe445cb088cdcc0c8",
"lastExecuted": 99822180,
"migrationVersion": 22503526,
"createdBy": "8452bd119a2d59b48dfb5b9b",
"created": "1957-08-18T20:12:49.407Z",
"lastUpdatedBy": "61611f01aea7d667bcd80666",
"lastUpdated": "1995-12-07T21:52:47.195Z",
"verb": "POST",
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "eventSystem",
"topic": "non quis proident sed",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "ca5e946c035879594f5ebc70",
"lastExecuted": null,
"migrationVersion": -43035516,
"createdBy": "611e5f693cafe0bed5f18d98",
"created": "2019-03-22T17:21:47.451Z",
"lastUpdatedBy": "0d284130bac1d702f80e06f3",
"lastUpdated": "1958-01-22T04:58:03.28Z",
"source": "ex",
"schema": null,
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "manual",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "fb384e2ddcb49589f0b144b7",
"lastExecuted": null,
"migrationVersion": -98095379,
"createdBy": "5d1b116e8dc78f802ea72c70",
"created": "1999-08-15T12:13:30.615Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1953-12-21T18:22:56.578Z",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"formSchemaHash": null,
"formId": "7dac29204825ff4d7cecef59"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "86fae9faa334803e070df30d",
"lastExecuted": null,
"migrationVersion": -47003286,
"createdBy": "a2a4551e682e160d950ce749",
"created": "2023-06-13T10:39:15.146Z",
"lastUpdatedBy": "79d12795e9c301a1db39ce71",
"lastUpdated": "1950-02-18T10:34:23.693Z",
"repeatInterval": 120000,
"formId": "f49c99a3cbe89dc3fd9791f5"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "a1d70f0a85b875e0a41e3a08",
"lastExecuted": null,
"migrationVersion": 69119612,
"createdBy": "edd5b4bca1208f724c6317bb",
"created": "1976-06-06T10:27:54.614Z",
"lastUpdatedBy": "a81d0d3f873a4f82176f00da",
"lastUpdated": "1947-01-05T12:56:30.569Z",
"_id": "0e128ad64c8f109f5e506d39"
}
}